OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.TextureBufferRange

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBTextureBufferRange :: MonadIO m => m Bool
- gl_ARB_texture_buffer_range :: Bool
- pattern GL_TEXTURE_BUFFER_OFFSET :: GLenum
- pattern GL_TEXTURE_BUFFER_OFFSET_ALIGNMENT :: GLenum
- pattern GL_TEXTURE_BUFFER_SIZE :: GLenum
- glTexBufferRange :: MonadIO m => GLenum -> GLenum -> GLuint -> GLintptr -> GLsizeiptr -> m ()

# Extension Support

glGetARBTextureBufferRange :: MonadIO m => m Bool Source #

Is the ARB_texture_buffer_range extension supported?

gl_ARB_texture_buffer_range :: Bool Source #

Is the ARB_texture_buffer_range extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBTextureBufferRange` in those cases instead.

# Enums

pattern GL_TEXTURE_BUFFER_OFFSET :: GLenum Source #

pattern GL_TEXTURE_BUFFER_OFFSET_ALIGNMENT :: GLenum Source #

pattern GL_TEXTURE_BUFFER_SIZE :: GLenum Source #

# Functions

glTexBufferRange Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `internalformat` of type InternalFormat.
-> GLuint | `buffer`.
-> GLintptr | `offset` of type `BufferOffset`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> m () |

Manual page for OpenGL 4.x.